%{?nodejs_find_provides_and_requires}

Name:       nodejs-cli
Version:    0.5.0
Release:    1%{?dist}
Summary:    Node.js module for rapidly building command line apps
# License text is included in README.md
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/chriso/cli
Source0:    http://registry.npmjs.org/cli/-/cli-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%description
cli is a toolkit for rapidly building command line apps. It includes:

 - Full featured options/arguments parser
 - Plugin support for adding common options and switches
 - Helper methods for working with input/output and spawning child processes
 - Output colored/styled messages, progress bars or spinners
 - Command auto-completion and glob support


%prep
%setup -q -n package
find . -type f -exec chmod 0644 '{}' \;


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/cli
cp -pr package.json cli.js index.js \
    %{buildroot}%{nodejs_sitelib}/cli

%nodejs_symlink_deps


%files
%doc README.md examples/
%{nodejs_sitelib}/cli


%changelog
* Sat Apr 26 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.5.0-1
- update to upstream release 0.5.0

* Mon Aug 26 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.5-1
- update to upstream release 0.4.5

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.4.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 06 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.4.2-5
- fix compatible arches for f18/el6

* Fri Jul 05 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.4.2-4
- restrict to compatible arches

* Wed Jun 19 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.4.4.2-3
- rebuild to fix npm(cli) provides on EL6

* Sat Mar 23 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.4.2-2
- fix a few more file permissions

* Sat Mar 23 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.4.2-1
- fix file permissions in examples/ directory

* Wed Feb 13 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.4-1
- initial package
